package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 工单类型对象 work_order_category
 *
 * @author liangwen
 * @date 2025-05-24
 */
public class WorkOrderCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类型id */
    private Long categoryId;

    private String categoryName;

    /** 工单类型 */
    @Excel(name = "工单类型")
    private String workOrderType;

    /** 父ID */
    @Excel(name = "父ID")
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    /** 处理人账号 */
    @Excel(name = "处理人id")
    private Long handlerUserId;

    @Excel(name = "处理人账号")
    private String handlerUser;

    @Excel(name = "处理人账号昵称")
    private String handlerUserNickName;

    /** 对应知识库分类Id */
    private Long relKnowledgeCategoryId;

    /** 提醒周期 */
    @Excel(name = "提醒周期")
    private String remindCycle;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    private Long deptId;

    /** 子分类 */
    private List<WorkOrderCategory> children = new ArrayList<WorkOrderCategory>();

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getWorkOrderType() {
        return workOrderType;
    }

    public void setWorkOrderType(String workOrderType) {
        this.workOrderType = workOrderType;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public Long getHandlerUserId() {
        return handlerUserId;
    }

    public void setHandlerUserId(Long handlerUserId) {
        this.handlerUserId = handlerUserId;
    }

    public String getHandlerUser() {
        return handlerUser;
    }

    public void setHandlerUser(String handlerUser) {
        this.handlerUser = handlerUser;
    }

    public String getHandlerUserNickName() {
        return handlerUserNickName;
    }

    public void setHandlerUserNickName(String handlerUserNickName) {
        this.handlerUserNickName = handlerUserNickName;
    }

    public Long getRelKnowledgeCategoryId() {
        return relKnowledgeCategoryId;
    }

    public void setRelKnowledgeCategoryId(Long relKnowledgeCategoryId) {
        this.relKnowledgeCategoryId = relKnowledgeCategoryId;
    }

    public String getRemindCycle() {
        return remindCycle;
    }

    public void setRemindCycle(String remindCycle) {
        this.remindCycle = remindCycle;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public List<WorkOrderCategory> getChildren() {
        return children;
    }

    public void setChildren(List<WorkOrderCategory> children) {
        this.children = children;
    }
}
